import * as view from '../view.js'

export const order = [
	view.browser,
	view.queue
]
export let index = 0
export let focus
export let root

export function Init() {
    Target()
}

export function Target() {
	if(root) {
		root.classList.remove('open')
	}
	({ root, focus } = order[index])
	root.classList.add('open')
}

export function Next() {
    index++
    wrapIndex()
    Target()
}

export function Prev() {
    index--
    wrapIndex()
    Target()
}

export function wrapIndex() {
    if(index < 0) {
        index = order.length - 1
    } else if(index >= order.length) {
        index = 0
    }
}

export function ScrollToFocusInList() {
	let c = Array.from(focus.parentNode.children)
	let i = c.indexOf(focus)
	c[Math.max(i - 4, 0)].scrollIntoView()
}

export function ScrollFocusUp() {
	focus = view.PrevElement(focus)
	ScrollToFocusInList()
}

export function ScrollFocusDown() {
	focus = view.NextElement(focus)
	ScrollToFocusInList()
}